import { Command, EditorState } from 'prosemirror-state';
import { createFakeParagraphNear } from '../../../utils/selection';
export { createFakeParagraphNear };
export declare enum Direction {
    up = "up",
    right = "right",
    left = "left",
    down = "down"
}
export declare const arrowLeft: Command;
export declare const arrowDown: Command;
export declare const arrowUp: Command;
export declare const arrowRight: Command;
export declare const needParagraphBefore: (state: EditorState, dir: Direction) => boolean;
export declare const needParagraphAfter: (state: EditorState, dir: Direction) => boolean;
