import type { NodeSpec } from 'prosemirror-model';
import type { Action, ExtensionAuto } from '../../../core';
import { addImageAction } from './const';
import { AddImageAttrs } from './actions';
export { ImageAttr } from './const';
export declare type ImgSizeOptions = {
    placeholder?: NodeSpec['placeholder'];
};
export declare const ImgSize: ExtensionAuto<ImgSizeOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
