"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mathBType = exports.mathIType = exports.CLASSNAMES = exports.MathNode = void 0;
const schema_1 = require("../../../utils/schema");
var MathNode;
(function (MathNode) {
    MathNode["Inline"] = "math_inline";
    MathNode["Block"] = "math_display";
})(MathNode = exports.MathNode || (exports.MathNode = {}));
exports.CLASSNAMES = {
    Inline: {
        Container: 'math-inline',
        Sharp: 'math-inline__sharp',
        Content: 'math-inline__content',
    },
};
exports.mathIType = (0, schema_1.nodeTypeFactory)(MathNode.Inline);
exports.mathBType = (0, schema_1.nodeTypeFactory)(MathNode.Block);
