import type { Action, ExtensionAuto } from '../../../core';
import { vAction } from './const';
import { VideoPluginOptions, VideoService } from './md-video';
export declare type VideoActionAttrs = {
    service: VideoService;
    url: string;
};
export { vType as videoType } from './utils';
export declare type VideoOptions = VideoPluginOptions & {};
export declare const Video: ExtensionAuto<VideoOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [vAction]: Action<VideoActionAttrs>;
        }
    }
}
